## org.eclipse.emf.cdo.server
Interface IAudit

All Superinterfaces:
  CDOCommonView, org.eclipse.net4j.util.collection.Closeable, IView

    public interface IAudit

extends IView

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`CDOCommonView.Type`

Field Summary

Fields inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`UNSPECIFIED_DATE`

Method Summary
`long` `getTimeStamp()`
`java.util.List<CDORevision>` `setTimeStamp(long timeStamp, java.util.List<CDOID> invalidObjects)`

Methods inherited from interface org.eclipse.emf.cdo.server.IView
`getRepository, getResourceID, getSession`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView
`getViewID, getViewType`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Method Detail

### getTimeStamp

    long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `CDOCommonView`

### setTimeStamp

    java.util.List<CDORevision> setTimeStamp(long timeStamp,
                                             java.util.List<CDOID> invalidObjects)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.